Can't boot after today's update

Hello forum,

Updated my system today, and it’s not booting.

It boots to the login page, I type my credentials and take about 40 seconds to that login screen to disappear, then everything I can see is the background…

Anyone else with this behavior?

Just ssh to it and forced a timeshit, and now it’s OK, but there is something wrong with the package updates from today…

1 Like

This is the list of the updated packages today that caused me problems:

[2021-03-28T10:58:14-0300] [PACMAN] Running 'pacman -Syu'
[2021-03-28T10:58:14-0300] [PACMAN] synchronizing package lists
[2021-03-28T10:58:17-0300] [PACMAN] starting full system upgrade
[2021-03-28T10:58:23-0300] [ALPM] transaction started
[2021-03-28T10:58:23-0300] [ALPM] upgraded krb5 (1.18.3-1 -> 1.19.1-1)
[2021-03-28T10:58:23-0300] [ALPM] upgraded pango (1:1.48.3-2 -> 1:1.48.4-1)
[2021-03-28T10:58:23-0300] [ALPM] upgraded mesa (20.3.4-3 -> 21.0.1-1)
[2021-03-28T10:58:23-0300] [ALPM] upgraded sqlite (3.35.2-2 -> 3.35.3-1)
[2021-03-28T10:58:23-0300] [ALPM] upgraded gtk3 (1:3.24.27-4 -> 1:3.24.28-1)
[2021-03-28T10:58:23-0300] [ALPM] upgraded libwpe (1.8.0-1 -> 1.10.0-1)
[2021-03-28T10:58:23-0300] [ALPM] upgraded eos-bash-shared (1.6.10-1 -> 1.6.12-1)
[2021-03-28T10:58:24-0300] [ALPM] upgraded libfilezilla (0.19.3-2 -> 0.27.1-1)
[2021-03-28T10:58:24-0300] [ALPM] upgraded filezilla (3.46.3-1 -> 3.53.1-1)
[2021-03-28T10:58:24-0300] [ALPM] upgraded gcr (3.38.1-1 -> 3.40.0-1)
[2021-03-28T10:58:25-0300] [ALPM] upgraded git (2.31.0-1 -> 2.31.1-1)
[2021-03-28T10:58:25-0300] [ALPM] upgraded lib32-mesa (20.3.4-3 -> 21.0.1-1)
[2021-03-28T10:58:25-0300] [ALPM] upgraded pinentry (1.1.0-5 -> 1.1.1-1)
[2021-03-28T10:58:25-0300] [ALPM] upgraded tracker3 (3.0.3-1 -> 3.1.0-1)
[2021-03-28T10:58:25-0300] [ALPM] upgraded tracker3-miners (3.0.4-1 -> 3.1.0-1)
[2021-03-28T10:58:25-0300] [ALPM] upgraded welcome (3.10.5-1 -> 3.11.1-1)
[2021-03-28T10:58:25-0300] [ALPM] transaction completed
[2021-03-28T10:58:25-0300] [ALPM] running '20-systemd-sysusers.hook'...
[2021-03-28T10:58:25-0300] [ALPM] running '30-systemd-daemon-reload.hook'...
[2021-03-28T10:58:25-0300] [ALPM] running '30-systemd-update.hook'...
[2021-03-28T10:58:25-0300] [ALPM] running 'eos-reboot-required.hook'...
[2021-03-28T10:58:26-0300] [ALPM] running 'glib-compile-schemas.hook'...
[2021-03-28T10:58:26-0300] [ALPM] running 'gtk-query-immodules-3.0.hook'...
[2021-03-28T10:58:26-0300] [ALPM] running 'gtk-update-icon-cache.hook'...
[2021-03-28T10:58:26-0300] [ALPM] running 'texinfo-install.hook'...
[2021-03-28T10:58:26-0300] [ALPM] running 'update-desktop-database.hook'...
[2021-03-28T10:58:26-0300] [ALPM] running 'update-mime-database.hook'...

I am not running xfce or having issues but it seems like the most likely culprits from that list would be either gtk or mesa.

2 Likes

Thanks Dalto, I’ll try to ignore these packages in pacman.conf to see what happens.
I’ll try one by one to find the culprit, and update here in case someone else faces this problem.

2 Likes

You are right Dalto, it’s mesa.

Once added the following to pacman.conf, the boot worked perfectly after the update:

# Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
IgnorePkg   = mesa lib32-mesa
#IgnoreGroup =
2 Likes

Yes, I have the same problem with Lightdm, Budgie-desktop, on an x86_64 machine.
Thank you for tracking this problem down. Now that I know what direction to take with this, I can get out of this Windoze machine and go fix it.

Pudge

EDIT:
Is everyone with this problem using LightDM? Are there any users that have this problem with gdm?

1 Like

No problems like that here using gdm-prime and on mesa 21.0.1-1 and lib32-mesa 21.0.1-1

GDM is no problem here…Nvidia drivers & all current updates.

I guess i should try it on my Xfce with the Nvidia card? I don’t think Ive updated it yet. Currently on my Ryzen system with KDE it’s okay but i also have Xfce and Cinnamon on here so I’ll also try updating these.

Edit: All okay on my Ryzen machine.

If it’s really mesa, I’d probably wait a few days to update. That’s such a critical piece where if everyone using xfce is going down from it, it will be top priority for fixing by the dev team. I can’t imagine it will be long before fixed.

1 Like

This is a major mesa version update to 21, its taken years to develop, and it was kept in testing repo until first point release.

I imagine there will be some bugs.

Didn’t have any trouble with mesa update on my Nvidia machine either with Xfce.

@ricklinux

Didn’t have any trouble with mesa update on my Nvidia machine either with Xfce.

+1

[2021-03-28T18:37:05-0300] [PACMAN] Running 'pacman -Syu'
[2021-03-28T18:37:05-0300] [PACMAN] synchronizing package lists
[2021-03-28T18:37:27-0300] [PACMAN] starting full system upgrade
[2021-03-28T18:42:57-0300] [ALPM] running '60-mkinitcpio-remove.hook'...
[2021-03-28T18:42:58-0300] [ALPM] running '71-dkms-remove.hook'...
[2021-03-28T18:42:59-0300] [ALPM-SCRIPTLET] ==> dkms remove --no-depmod -m nvidia -v 460.67 -k 5.11.9-arch1-1
[2021-03-28T18:42:59-0300] [ALPM-SCRIPTLET] rmdir: fallo al borrar '': No existe el fichero o el directorio
[2021-03-28T18:43:01-0300] [ALPM-SCRIPTLET] rmdir: fallo al borrar '': No existe el fichero o el directorio
[2021-03-28T18:43:01-0300] [ALPM-SCRIPTLET] rmdir: fallo al borrar '': No existe el fichero o el directorio
[2021-03-28T18:43:02-0300] [ALPM-SCRIPTLET] ==> depmod 5.11.9-arch1-1
[2021-03-28T18:43:15-0300] [ALPM] transaction started
[2021-03-28T18:43:15-0300] [ALPM] upgraded dialog (1:1.3_20210319-1 -> 1:1.3_20210324-1)
[2021-03-28T18:43:15-0300] [ALPM] upgraded glib2 (2.68.0-4 -> 2.68.0-5)
[2021-03-28T18:43:15-0300] [ALPM] upgraded krb5 (1.18.3-1 -> 1.19.1-1)
[2021-03-28T18:43:15-0300] [ALPM] upgraded pango (1:1.48.3-2 -> 1:1.48.4-1)
[2021-03-28T18:43:15-0300] [ALPM] upgraded mesa (20.3.4-3 -> 21.0.1-1)
[2021-03-28T18:43:15-0300] [ALPM] upgraded gtk-update-icon-cache (1:4.0.3-3 -> 1:4.0.3+61+gcb05be0aa5-1)
[2021-03-28T18:43:16-0300] [ALPM] upgraded sqlite (3.35.2-2 -> 3.35.3-1)
[2021-03-28T18:43:16-0300] [ALPM] upgraded gtk3 (1:3.24.27-4 -> 1:3.24.28-1)
[2021-03-28T18:43:16-0300] [ALPM] upgraded libwpe (1.8.0-1 -> 1.10.0-1)
[2021-03-28T18:43:16-0300] [ALPM] installed libmanette (0.2.6-1)
[2021-03-28T18:43:17-0300] [ALPM] upgraded webkit2gtk (2.30.6-1 -> 2.32.0-1)
[2021-03-28T18:43:17-0300] [ALPM] upgraded eos-bash-shared (1.6.8-1 -> 1.6.12-1)
[2021-03-28T18:43:17-0300] [ALPM] upgraded gcr (3.38.1-1 -> 3.40.0-1)
[2021-03-28T18:43:17-0300] [ALPM] upgraded git (2.31.0-1 -> 2.31.1-1)
[2021-03-28T18:43:17-0300] [ALPM] upgraded gnome-keyring (1:3.36.0-3 -> 1:40.0-1)
[2021-03-28T18:43:17-0300] [ALPM] upgraded gst-plugins-bad-libs (1.18.4-2 -> 1.18.4-3)
[2021-03-28T18:43:17-0300] [ALPM] upgraded imagemagick (7.0.11.4-1 -> 7.0.11.5-1)
[2021-03-28T18:43:17-0300] [ALPM] upgraded gst-plugins-bad (1.18.4-2 -> 1.18.4-3)
[2021-03-28T18:43:17-0300] [ALPM] upgraded kglobalaccel (5.80.0-1 -> 5.80.0-2)
[2021-03-28T18:43:17-0300] [ALPM] upgraded lib32-mesa (20.3.4-3 -> 21.0.1-1)
[2021-03-28T18:43:17-0300] [ALPM] upgraded libxaw (1.0.13-3 -> 1.0.14-1)
[2021-03-28T18:43:19-0300] [ALPM] upgraded linux (5.11.9.arch1-1 -> 5.11.10.arch1-1)
[2021-03-28T18:43:21-0300] [ALPM] upgraded linux-headers (5.11.9.arch1-1 -> 5.11.10.arch1-1)
[2021-03-28T18:43:22-0300] [ALPM] upgraded nvidia (460.67-3 -> 460.67-4)
[2021-03-28T18:43:22-0300] [ALPM] upgraded pinentry (1.1.0-5 -> 1.1.1-1)
[2021-03-28T18:43:22-0300] [ALPM] upgraded r8168 (8.048.03-78 -> 8.048.03-79)
[2021-03-28T18:43:22-0300] [ALPM] upgraded telegram-desktop (2.6.1-1 -> 2.7.1-1)
[2021-03-28T18:43:22-0300] [ALPM] upgraded tracker3 (3.0.3-1 -> 3.1.0-1)
[2021-03-28T18:43:22-0300] [ALPM] upgraded welcome (3.10.5-1 -> 3.11.1-1)
[2021-03-28T18:43:22-0300] [ALPM] upgraded whois (5.5.8-1 -> 5.5.9-1)
[2021-03-28T18:43:22-0300] [ALPM] upgraded xterm (366-1 -> 367-1)
[2021-03-28T18:43:22-0300] [ALPM] transaction completed
[2021-03-28T18:43:22-0300] [ALPM] running '20-systemd-sysusers.hook'...
[2021-03-28T18:43:22-0300] [ALPM] running '30-systemd-daemon-reload.hook'...
[2021-03-28T18:43:22-0300] [ALPM] running '30-systemd-update.hook'...
[2021-03-28T18:43:22-0300] [ALPM] running '60-depmod.hook'...
[2021-03-28T18:43:30-0300] [ALPM] running '70-dkms-install.hook'...
[2021-03-28T18:43:30-0300] [ALPM-SCRIPTLET] ==> dkms install --no-depmod -m nvidia -v 460.67 -k 5.11.10-arch1-1
[2021-03-28T18:44:21-0300] [ALPM-SCRIPTLET] 
[2021-03-28T18:44:21-0300] [ALPM-SCRIPTLET] Good news! Module version 460.67 for nvidia.ko.xz
[2021-03-28T18:44:21-0300] [ALPM-SCRIPTLET] exactly matches what is already found in kernel 5.11.10-arch1-1.
[2021-03-28T18:44:21-0300] [ALPM-SCRIPTLET] DKMS will not replace this module.
[2021-03-28T18:44:21-0300] [ALPM-SCRIPTLET] You may override by specifying --force.
[2021-03-28T18:44:22-0300] [ALPM-SCRIPTLET] 
[2021-03-28T18:44:22-0300] [ALPM-SCRIPTLET] Good news! Module version 460.67 for nvidia-modeset.ko.xz
[2021-03-28T18:44:22-0300] [ALPM-SCRIPTLET] exactly matches what is already found in kernel 5.11.10-arch1-1.
[2021-03-28T18:44:22-0300] [ALPM-SCRIPTLET] DKMS will not replace this module.
[2021-03-28T18:44:22-0300] [ALPM-SCRIPTLET] You may override by specifying --force.
[2021-03-28T18:44:22-0300] [ALPM-SCRIPTLET] 
[2021-03-28T18:44:22-0300] [ALPM-SCRIPTLET] Good news! Module version 460.67 for nvidia-drm.ko.xz
[2021-03-28T18:44:22-0300] [ALPM-SCRIPTLET] exactly matches what is already found in kernel 5.11.10-arch1-1.
[2021-03-28T18:44:22-0300] [ALPM-SCRIPTLET] DKMS will not replace this module.
[2021-03-28T18:44:22-0300] [ALPM-SCRIPTLET] You may override by specifying --force.
[2021-03-28T18:44:22-0300] [ALPM-SCRIPTLET] ==> depmod 5.11.10-arch1-1
[2021-03-28T18:44:29-0300] [ALPM] running '90-mkinitcpio-install.hook'...
[2021-03-28T18:44:29-0300] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'default'
[2021-03-28T18:44:29-0300] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
[2021-03-28T18:44:29-0300] [ALPM-SCRIPTLET] ==> Starting build: 5.11.10-arch1-1
[2021-03-28T18:44:29-0300] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2021-03-28T18:44:30-0300] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2021-03-28T18:44:30-0300] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2021-03-28T18:44:30-0300] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2021-03-28T18:44:30-0300] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2021-03-28T18:44:30-0300] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: xhci_pci
[2021-03-28T18:44:31-0300] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2021-03-28T18:44:31-0300] [ALPM-SCRIPTLET]   -> Running build hook: [keymap]
[2021-03-28T18:44:31-0300] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2021-03-28T18:44:31-0300] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2021-03-28T18:44:31-0300] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2021-03-28T18:44:31-0300] [ALPM-SCRIPTLET] ==> Creating xz-compressed initcpio image: /boot/initramfs-linux.img
[2021-03-28T18:44:39-0300] [ALPM-SCRIPTLET] ==> Image generation successful
[2021-03-28T18:44:39-0300] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'fallback'
[2021-03-28T18:44:39-0300] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
[2021-03-28T18:44:39-0300] [ALPM-SCRIPTLET] ==> Starting build: 5.11.10-arch1-1
[2021-03-28T18:44:39-0300] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2021-03-28T18:44:39-0300] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2021-03-28T18:44:39-0300] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2021-03-28T18:44:39-0300] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2021-03-28T18:44:40-0300] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: aic94xx
[2021-03-28T18:44:40-0300] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: wd719x
[2021-03-28T18:44:41-0300] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: xhci_pci
[2021-03-28T18:44:42-0300] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2021-03-28T18:44:43-0300] [ALPM-SCRIPTLET]   -> Running build hook: [keymap]
[2021-03-28T18:44:43-0300] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2021-03-28T18:44:44-0300] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2021-03-28T18:44:45-0300] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2021-03-28T18:44:45-0300] [ALPM-SCRIPTLET] ==> Creating xz-compressed initcpio image: /boot/initramfs-linux-fallback.img
[2021-03-28T18:45:24-0300] [ALPM-SCRIPTLET] ==> Image generation successful
[2021-03-28T18:45:24-0300] [ALPM] running 'detect-old-perl-modules.hook'...
[2021-03-28T18:45:24-0300] [ALPM] running 'eos-reboot-required.hook'...
[2021-03-28T18:45:24-0300] [ALPM-SCRIPTLET] Reboot is recommended because of recent core system package upgrades.
[2021-03-28T18:45:24-0300] [ALPM] running 'glib-compile-schemas.hook'...
[2021-03-28T18:45:24-0300] [ALPM] running 'gtk-query-immodules-3.0.hook'...
[2021-03-28T18:45:24-0300] [ALPM] running 'gtk-update-icon-cache.hook'...
[2021-03-28T18:45:24-0300] [ALPM] running 'texinfo-install.hook'...
[2021-03-28T18:45:24-0300] [ALPM] running 'update-desktop-database.hook'...
[2021-03-28T18:45:24-0300] [ALPM] running 'update-mime-database.hook'...

Finally ran into this with one of my alternate machines, a Sager NP8658 with Intel HD530 and NVIDIA® GeForce™ GTX 980M GPU. This one has always been challenging so I’ve gone into BIOS and set it to discrete graphics only - effectively disabling the Intel HD530 altogether.

Updated today with pacman -Syu which installed mesa-21.0.1-1 and lib32-mesa-21.0.1-1 which resulted in the laptop booting to an black background with blinking cursor in top left corner and default mouse cursor - so sort of partially in X?

Rolled back both packages to 20.3.4-3 and blocked upgrades with Ignore link in pacman.conf. Not sure what is different about this machine that caused the issue … other than maybe the age of the nVidia card and maybe some related driver issue?

Did you have your setup configured with the optional enhancements as per the wiki?

@ricklinux - No. I never configured any of the optional enhancements.

Edit - maybe I’ll add the enhancements to grub and early module load and try again tonight with the updated mesa/lib32-mesa packages

You can also add the enhancement for screen tearing in /etc/X11/xorg.conf.d/20-nvidia.conf if you have that file.

Edit: I would set it up as per the wiki and then run the updates and see.

Found something weird…

I did a new install in my system, using XFCE, and it works when using the default XFCE theme.
Once I changed the theme to EndeavourOS XFCE theme, the problem happens…

How did you change to the EndeavourOS Xfce Theme? Using the Welcome button? I’m assuming that’s what you mean and not just changing the background.

Hello ricklinux, yes, through the Welcome button.
Clean install…

First boot, I clicked to change the theme using the Welcome button, then rebooted and this triggered the problem.

After install, using the online installer, I was already using the new mesa version…
So I suppose the problem could be some kind of a conflict between this new mesa version, xfce with lightdm and the EOS theme.